## libsdl-sge 020904

=== Makefile ===
# Makefile for the SGE library

include Makefile.conf

CFLAGS += $(SGE_CFLAGS) $(FT_CFLAGS)
LIBS =$(SGE_LIBS)

SGE_VER = 020904

ifeq ($(C_ONLY),y)
  CFLAGS +=-D_SGE_C
endif


OBJECTS=sge_surface.o sge_primitives.o sge_tt_text.o sge_bm_text.o sge_misc.o sge_textpp.o sge_blib.o sge_rotation.o sge_collision.o sge_shape.o

all:	config $(OBJECTS) 
	@ar rsc libSGE.a $(OBJECTS)

$(OBJECTS):	%.o:%.cpp %.h   #Each object depends on thier .cpp and .h file
	$(CXX) $(CFLAGS) -c $<

shared: all
	$(CXX) $(CFLAGS) -fpic -fPIC -shared -o libSGE.so $(OBJECTS) $(LIBS)

shared-strip:	shared
	@strip libSGE.so

# Building a dll... I have no idea how to do this, but it should be something like below.
dll:	config $(OBJECTS)
	dlltool --output-def SGE.def $(OBJECTS)
	dllwrap --driver-name $(CXX) -o SGE.dll --def SGE.def --output-lib libSGE.a --dllname SGE.dll $(OBJECTS) $(LIBS)

dll-strip:	dll
	@strip SGE.dll

clean:
	@rm -f *.o *.so *.a *.dll *.def

config:
	@echo "/* SGE Config header (generated automatically) */" >sge_config.h
	@echo "#define SGE_VER $(SGE_VER)" >>sge_config.h	
ifeq ($(NOTTF),y)
	@echo "#define _SGE_NOTTF" >>sge_config.h
endif
ifeq ($(USE_IMG),y)
	@echo "#define _SGE_HAVE_IMG" >>sge_config.h
endif
ifeq ($(NO_CLASSES),y)
	@echo "#define _SGE_NO_CLASSES" >>sge_config.h
endif

ifneq ($(QUIET),y)
	@echo "== SGE r$(SGE_VER)"
ifeq ($(C_ONLY),y)
	@echo "== Warning: Using C references!"
endif
ifeq ($(NOTTF),y)
	@echo "== FreeType2 support disabled."
else
	@echo "== FreeType2 support enabled."
endif
ifeq ($(USE_IMG),y)
	@echo "== SDL_Image (SFont) support enabled."
else
	@echo "== SDL_Image (SFont) support disabled."
endif
ifeq ($(NO_CLASSES),y)
	@echo "== Warning: No C++ classes will be build!"
endif
	@echo ""	
endif

install:	shared
	@mkdir -p $(PREFIX)/include/SDL
	install -c -m 644 sge*.h $(PREFIX)/include/SDL
	@mkdir -p $(PREFIX)/lib
	install -c -m 644 libSGE.a $(PREFIX)/lib
	install -c libSGE.so $(PREFIX)/lib/libSGE.so.$(SGE_VER)
	@cd $(PREFIX)/lib;\
	rm -f libSGE.so;\
	ln -s libSGE.so.$(SGE_VER) libSGE.so
	@echo "** Headerfiles installed in $(PREFIX)/include/SDL"
	@echo "** Library files installed in $(PREFIX)/lib"

=== examples/Makefile ===
# Makefile for the SGE library examples

include ../Makefile.conf


CFLAGS += $(SGE_CFLAGS) -I./../

# Change -L./../ to the directory with libSGE.a
# If you have a shared version of SGE (libSGE.so) you don't really need to link
# to any other library than SGE (but it's no-ops).
LIBS =-L./../ -lSGE $(SGE_LIBS)

TARGETS = fire bitmapfont collision blib rotate speedtest

ifneq ($(NOTTF),y)
  TARGETS += basics blitting input alpha
endif

ifeq ($(USE_IMG),y)
  TARGETS += sfont
endif

ifneq ($(NO_CLASSES),y)
  TARGETS += sprite sprite2
  ifneq ($(NOTTF),y)
    TARGETS += inputdeluxe
  endif
endif

OBJECTS = $(addsuffix .o, $(TARGETS))

ifeq ($(C_ONLY),y)
  all:	basics_c
else
  all:	$(TARGETS)
endif


$(TARGETS):	%:%.o
	$(CXX) -o $@ $< $(LIBS)		

$(OBJECTS):	%.o:%.cpp
	$(CXX) $(CFLAGS) -c $< 	

strip:	all
	@strip $(TARGETS)

# The c example
basics_c:	%:%.o
	$(CC) -o $@ $< $(LIBS)

basics_c.o:	%.o:%.c
	$(CC) $(CFLAGS) -c $<


clean:
	@rm -f *.o fire bitmapfont collision blib rotate basics blitting input alpha sfont sprite sprite2 inputdeluxe basics_c speedtest

## libsdl-sge 030809dfsg

=== examples/Makefile ===
# Makefile for the SGE library examples

include ../Makefile.conf

CFLAGS += $(SGE_CFLAGS) -I./../
LIBS =-L./../ -lSGE $(SGE_LIBS)

TARGETS = fire bitmapfont collision blib rotate speedtest sprite sprite2 poly
C_TARGETS =

ifneq ($(USE_FT),n)
  TARGETS += basics blitting input alpha inputdeluxe
  ifeq ($(C_COMP),y)
    C_TARGETS = basics_c
  endif
endif

ifeq ($(USE_IMG),y)
  TARGETS += sfont
endif


OBJECTS = $(addsuffix .o, $(TARGETS))
C_OBJECTS = $(addsuffix .o, $(C_TARGETS))


all:	$(TARGETS) $(C_TARGETS) 

$(TARGETS):	%:%.o
	$(CXX) -o $@ $< $(LIBS)		

$(OBJECTS):	%.o:%.cpp
	$(CXX) $(CFLAGS) -c $< 	

strip:	all
	@strip $(TARGETS)

# The c example
$(C_TARGETS):	%:%.o
	$(CC) -o $@ $< $(LIBS)

$(C_OBJECTS):	%.o:%.c
	$(CC) $(CFLAGS) -c $<


clean:
	@rm -f *.o fire bitmapfont collision blib rotate basics blitting input alpha sfont sprite sprite2 inputdeluxe basics_c speedtest poly

=== debian/changelog ===
libsdl-sge (030809dfsg-6) unstable; urgency=medium

  * Upload to rebuild against GCC-5 >= 5.2 in all arches for the
    GCC-5/C++11 ABI change transition (that version was not the default on
    all arches at the time)
  * Update URL in Vcs-Browser
  * Add tests for autopkgtest

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Mon, 24 Aug 2015 16:32:35 +0100

libsdl-sge (030809dfsg-5) unstable; urgency=medium

  * Bump Policy Standars-Version to 3.9.6 (no changes needed)
  * Rebuild against GCC-5 (Closes: #791165)
  * Enable parallel compilation with dh
  * Fix mispelling in d/copyright (detected by lintian)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 01 Aug 2015 10:41:47 +0100

libsdl-sge (030809dfsg-4) unstable; urgency=low

  * debian/rules:
    - Override dh_compress to not compress files under examples/ (they are tiny
      and cause issues with Multi-arch) (Closes: #720028)
    - Enable more parts of build hardening by passing default LDFLAGS as well as
      CFLAGS (the basic build system did not account for this).  Also had to
      modify patch 001_makefile_fixes.diff in the process.
  * debian/control:
    - Bump Policy Standars-Version to 3.9.4 (no changes needed)
    - Change maintainer address to @debian.org
    - Remove obsolete "DM-Upload-Allowed: yes"
    - Remove now unneeded Build-Depends on "dpkg-dev (>= 1.16.1~)"

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 17 Aug 2013 23:43:32 +0100

libsdl-sge (030809dfsg-3) unstable; urgency=low

  * Complete overhaul of the package:
    - debian/source/format to '3.0 (quilt)'
    - Extensive modifications for debhelper compat v9, including Multi-Arch,
      build-hardening and all goodies
    - Bump Policy Standars-Version to 3.9.3
    - debian/copyright rewritten with appropriate standard format
    - Revisit all patches
    - Remove all previous maintainers, inactive/unresponsive for years
    - Add lintian override for SONAME/package name mismatch
    - watch: updated to take dfsg suffix into account

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Sun, 13 May 2012 14:34:48 +0200

libsdl-sge (030809dfsg-2) unstable; urgency=low

  * debian/patches/100_font.diff:
    + use ttf-dejavu-core instead of ttf-bitstream-vera.
  * debian/control:
    + Suggest ttf-dejavu-core instead of ttf-bitstream-vera (Closes: #461268).
    + bumped Standards-Version to 3.7.3 (no changes).
  * debian/copyright:
    + Recode into UTF-8.
  * debian/rules:
    + don't ignore make clean error.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 24 Jan 2008 00:15:46 +0100

libsdl-sge (030809dfsg-1) unstable; urgency=high

  * Remove non-free font from the original tarball (Closes: #393747).

  * debian/control:
    + Suggest ttf-bitstream-vera as a replacement for the font.
  * debian/patches/100_font.diff:
    + New patch to use ttf-bitstream-vera instead of the old non-free font.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 23 Oct 2006 16:33:23 +0200

libsdl-sge (030809-3) unstable; urgency=low

  * 006_freetype2_fixes.diff:
    + Fix from freetype2 upstream that removes usage of internal structures
      (Closes: #370685).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 13 Jun 2006 22:51:55 +0200

libsdl-sge (030809-2) unstable; urgency=low

  [ Aurelien Jarno ]

  * debian/patches/015_overflow.diff: fix and overflow in sge_collision.cpp. 
  * debian/control: bumped Standards-Version to 3.7.2 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 13 May 2006 23:01:51 +0200

libsdl-sge (030809-1) unstable; urgency=low

  [ Sam Hocevar ]

  * Included changes from an NMU prepared by Nathanael Nerode. Thanks.
  * Moved development to the pkg-sdl Alioth project.

  * debian/rules:
    + Use quilt for patch management.
    + This version adds new symbols to the lib. Use dh_makeshlibs -V '...'.
    + Do not compress examples.
  * debian/control:
    + Build-depend on quilt.
    + Set the SDL team as the maintainer and added its members to the
      uploaders field.
    + Build-depend on debhelper (>= 4.0).
  * debian/compat:
    + Set compatibility level to 4.
  * debian/copyright:
    + Updated the FSF address.

  * debian/patches/001_makefile_fixes.diff:
  * debian/patches/005_freetype_support.diff:
    + Moved old diff to the quilt patch system.

  * debian/patches/004_legacy_functions.diff:
    + Added empty legacy functions to maintain backwards binary compatibility
      with C programs. These functions were not supposed to be used.

  * debian/patches/010_examples.diff:
    + Fixed the examples makefile so that they can also be compiled outside
      the SGE build tree (Closes: #318973).

  [ Nathanael Nerode ]

  * New upstream release (Closes: #336497).  The new upstream doesn't change
    very much, but it does integrate a lot of the Debian diffs, and it is
    over two years old already.
  * We export the C++ interface for the first time, since it is no longer
    incompatible with exporting the C interface.  Because we *previously*
    exported only the C interface, we don't need to change library names etc.
  * Rebuild with new toolchain (Closes: #332833)
  * Added watch file.
  * Standards-Version 3.6.2.0 (no changes necessary).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri,  3 Mar 2006 17:41:16 +0100

libsdl-sge (020904-5) unstable; urgency=low

  * Makefile:
    + #define _SGE_C in sge_config.h if C_ONLY is defined (Closes: #230954).
  * debian/control:
    + libsdl-sge-dev now only depends on libsdl-sge (>= 020904-4).
    + Set the source section to "devel".

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 16 Feb 2004 10:33:16 +0100

libsdl-sge (020904-4) unstable; urgency=low

  * sge_tt_text.cpp:
    + Use freetype macros to include freetype headers (Closes: #230591).
  * debian/control:
    + Set libfreetype6-dev build dependency to (>= 2.0.1.20010317-1).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun,  1 Feb 2004 15:13:37 +0100



=== debian/control ===
Source: libsdl-sge
Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
Uploaders: Manuel A. Fernandez Montecelo <mafm@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 9~),
               libfreetype6-dev (>= 2.4.2),
               libsdl1.2-dev (>= 1.2.14~),
               libsdl-image1.2-dev (>= 1.2.12~)
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-sdl/packages/libsdl-sge.git
Vcs-Git: git://anonscm.debian.org/pkg-sdl/packages/libsdl-sge.git
Homepage: http://www.digitalfanatics.org/cal/sge/
Testsuite: autopkgtest

Package: libsdl-sge
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: extension of graphic functions for SDL multimedia libraries
 SGE is a layer over the SDL multimedia library which provides common graphics
 operations such as clipping, block copies, drawing of lines, circles and
 primitives, rotation and scaling of surfaces, pixel operations, palette
 functions and many more.
 .
 This package contains the runtime library.

Package: libsdl-sge-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         libsdl-sge (= ${binary:Version}),
         libsdl1.2-dev (>= 1.2.14~)
Suggests: ttf-dejavu-core
Description: extension of graphic functions for the SDL multimedia, development files
 SGE is a layer over the SDL multimedia library which provides common graphics
 operations such as clipping, block copies, drawing of lines, circles and
 primitives, rotation and scaling of surfaces, pixel operations, palette
 functions and many more.
 .
 This package contains the header files and static library needed to
 compile applications that use libsdl-sge.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

DEB_CFLAGS_MAINT_APPEND  := $(shell dpkg-buildflags --get CPPFLAGS)
DEB_CFLAGS_MAINT_APPEND  += $(shell dpkg-buildflags --get CFLAGS)
DEB_CFLAGS_MAINT_APPEND  += -pipe -Wall
export DEB_CFLAGS_MAINT_APPEND
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--no-undefined -Wl,--as-needed $(shell dpkg-buildflags --get LDFLAGS)

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIB_MULTIARCH_DIR = /usr/lib/$(DEB_HOST_MULTIARCH)

ALL_CUSTOM_CFLAGS  := $(DEB_CFLAGS_MAINT) $(DEB_CFLAGS_MAINT_APPEND)
ALL_CUSTOM_LDFLAGS := $(DEB_LDFLAGS_MAINT) $(DEB_LDFLAGS_MAINT_APPEND)


%:
	dh $@ --parallel

override_dh_auto_build:
        # Build the static library and make a backup
	rm -f libSGE.a
	$(MAKE) all CUSTOM_CFLAGS="$(ALL_CUSTOM_CFLAGS)" CUSTOM_LDFLAGS="$(ALL_CUSTOM_LDFLAGS)"
	rm -f libSGE.bak
	mv libSGE.a libSGE.bak

        # Build the shared library and restore the static backup
	$(MAKE) clean
	$(MAKE) shared CUSTOM_CFLAGS="$(ALL_CUSTOM_CFLAGS)" CUSTOM_LDFLAGS="$(ALL_CUSTOM_LDFLAGS)"
	rm -f libSGE.a
	mv libSGE.bak libSGE.a

override_dh_auto_install:
	echo $(CURDIR)
	$(MAKE) install PREFIX=$(CURDIR)/debian/tmp/usr PREFIX_H=$(CURDIR)/debian/tmp/usr/include/SDL

        # multi-arch support
	mkdir -p $(CURDIR)/debian/tmp/$(LIB_MULTIARCH_DIR)
	mv ./debian/tmp/usr/lib/libSGE*.a   $(CURDIR)/debian/tmp/$(LIB_MULTIARCH_DIR)
	mv ./debian/tmp/usr/lib/libSGE*.so* $(CURDIR)/debian/tmp/$(LIB_MULTIARCH_DIR)

override_dh_compress:
	dh_compress -Xexamples/

override_dh_makeshlibs:
	dh_makeshlibs -V 'libsdl-sge (>= 030809-1)'

=== debian/tests/control ===
Tests: compile-libsdl-sge-test0
Depends: libsdl-sge-dev, build-essential

=== debian/watch ===
version=3
opts=dversionmangle=s/dfsg$// \
http://www.digitalfanatics.org/cal/sge/download.html \
  (?:.*/)?sge(.*)\.tar\.(?:gz|bz2|lzma|xz)

## libsdl-sge 030809dfsg-1

=== debian/control ===
Source: libsdl-sge
Section: devel
Priority: optional
Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
Uploaders: Michael Stepanov <stepanov.michael@gmail.com>
Build-Depends: debhelper (>= 4.0), quilt, libsdl1.2-dev, libsdl-image1.2-dev, libfreetype6-dev (>= 2.0.1.20010317-1)
Standards-Version: 3.7.2

Package: libsdl-sge
Section: libs
Architecture: armel
Depends: ${shlibs:Depends}
Description: extension of graphic functions for the SDL multimedia library
 SGE is a layer over the SDL multimedia library which provides common graphics
 operations such as clipping, block copies, drawing of lines, circles and
 primitives, rotation and scaling of surfaces, pixel operations, palette
 functions and many more.
 .
 This package contains the libsdl-sge runtime library.

Package: libsdl-sge-dev
Section: libdevel
Architecture: armel
Depends: libsdl-sge (>= 030809-1), libsdl1.2-dev, libsdl-image1.2-dev, libfreetype6-dev
Suggests: ttf-bitstream-vera
Conflicts: libsdl-sge (<< 020904-1.1)
Replaces: libsdl-sge (<< 020904-1.1)
Description: development files for libsdl-sge
 SGE is a layer over the SDL multimedia library which provides common graphics
 operations such as clipping, block copies, drawing of lines, circles and
 primitives, rotation and scaling of surfaces, pixel operations, palette
 functions and many more.
 .
 This package contains the header files and static library needed to
 compile applications that use libsdl-sge.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
	SHARED_OBJECT = shared
else
	SHARED_OBJECT = shared-strip
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	QUILT_PATCHES=debian/patches quilt push -a || test $$? = 2
	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Build the static library and make a backup
	rm -f libSGE.a
	$(MAKE) all CUSTOM_CFLAGS="$(CFLAGS) -O2"
	rm -f libSGE.bak
	mv libSGE.a libSGE.bak

	# Build the shared library and restore the static backup
	$(MAKE) clean
	$(MAKE) $(SHARED_OBJECT) CUSTOM_CFLAGS="$(CFLAGS) -O2 -fPIC"
	rm -f libSGE.a
	mv libSGE.bak libSGE.a

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	QUILT_PATCHES=debian/patches quilt pop -a -R || test $$? = 2
	rm -f libSGE.bak
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) install PREFIX=$(CURDIR)/debian/tmp/usr PREFIX_H=$(CURDIR)/debian/tmp/usr/include/SDL
	ln -s libsdl-sge $(CURDIR)/debian/libsdl-sge-dev/usr/share/doc/libsdl-sge-dev
	cp docs/*.html $(CURDIR)/debian/libsdl-sge-dev/usr/share/doc/libsdl-sge/html
	cp examples/* $(CURDIR)/debian/libsdl-sge-dev/usr/share/doc/libsdl-sge/examples

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_movefiles
	dh_installdocs -plibsdl-sge
	dh_installchangelogs -plibsdl-sge
	dh_link
	dh_strip
	dh_compress -X /examples/
	dh_fixperms
	dh_makeshlibs -V 'libsdl-sge (>= 030809-1)'
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
http://www.digitalfanatics.org/cal/sge/download.html \
  (?:.*/)?sge(.*)\.tar\.gz
